
import 'dart:async';

import 'package:flutter/services.dart';

class SpectusPayumoneyPlugin {
  static const MethodChannel _channel =
      const MethodChannel('spectus_payumoney_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> payUMoneyPayment({int environmentMode,String email,String amount,
    String mobile,String name,String merchantID,String merhcantKey,String salt,String productInfo,
  String buttonTextOnSuccess}) async
  {
    final String paymentID = await _channel.invokeMethod('payUmoneyPayment',
        {
          "environmentMode":environmentMode, // SANDBOX & LIVE MODE
          "email":email,
          "amount":amount,
          "mobile":mobile,
          "name":name,
          "merchantID":merchantID,
          "merchantKey":merhcantKey,
          "salt":salt,
          "productInfo":productInfo,
          "buttonTextOnSuccess":buttonTextOnSuccess,
        }
    );
    return paymentID;
  }

}
